Subject: [Drip] Re: New Version Notification for draft-ietf-drip-dki-02.txt
From: Robert Moskowitz <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 21 Oct 2024 16:25:29 -0400
List-Id: Drone Remote Identification Protocol <tm-rid.ietf.org>

This is an update with the new tools to make the DKI and the current 
test Endorsements and certs.

It is a little rushed to meet the submission deadline and I may well 
have missed something that was REALLY needing an update and I may have 
not adjusted all references to drip-registries.

So Enjoy!  We have orgs already testing with their own HDAs within the 
environment.

I MAY get to review this prior to IETF what updates, but I have two 
other critical papers to write before end-of-month.  :(

I will ONLY be at IETF from Monday noonish through Wednesday. Family 
stuff both weekends.

On 10/21/24 16:21, [email-masked] wrote:
> A new version of Internet-Draft draft-ietf-drip-dki-02.txt has been
> successfully submitted by Robert Moskowitz and posted to the
> IETF repository.
>
> Name:     draft-ietf-drip-dki
> Revision: 02
> Title:    The DRIP DET public Key Infrastructure
> Date:     2024-10-21
> Group:    drip
> Pages:    38
> URL:https://www.ietf.org/archive/id/draft-ietf-drip-dki-02.txt
> Status:https://datatracker.ietf.org/doc/draft-ietf-drip-dki/
> HTML:https://www.ietf.org/archive/id/draft-ietf-drip-dki-02.html
> HTMLized:https://datatracker.ietf.org/doc/html/draft-ietf-drip-dki
> Diff:https://author-tools.ietf.org/iddiff?url2=draft-ietf-drip-dki-02
>
> Abstract:
>
>     The DRIP Entity Tag (DET) public Key Infrastructure (DKI) is a
>     specific variant of classic Public Key Infrastructures (PKI) where
>     the organization is around the DET, in place of X.520 Distinguished
>     Names.  Further, the DKI uses DRIP Endorsements in place of X.509
>     certificates for establishing trust within the DKI.
>
>     There are two X.509 profiles for shadow PKI behind the DKI, with many
>     of their X.509 fields mirroring content in the DRIP Endorsements.
>     This PKI can at times be used where X.509 is expected and non-
>     constrained communication links are available that can handle their
>     larger size.
>
>     C509 (CBOR) encoding of all X.509 certificates are also provided as
>     an alternative for where there are gains in reduced object size.
>
>
>
> The IETF Secretariat
>
>

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit